##
##  jjui.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
%define       V_jjui_base  0.8.11
%define       V_jjui_snap  20250617

#   package information
Name:         jjui
Summary:      Jujutsu User Interface
URL:          https://github.com/idursun/jjui
Vendor:       Ibrahim Dursun
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        VCS
License:      MIT
Version:      %{V_jjui_base}.%{V_jjui_snap}
Release:      20250617

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/jjui/jjui-%{V_jjui_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    jjui(1) is a terminal user interface for working with jj(1), the
    Jujutsu version control system.

%track
    prog jjui:base = {
        version   = %{V_jjui_base}
        url       = https://github.com/idursun/jjui/releases
        regex     = tree/v(\d+\.\d+\.\d+)
    }
    prog jjui:snap = {
        version   = %{V_jjui_snap}
        url       = http://download.openpkg.org/components/versioned/jjui/
        regex     = jjui-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n jjui

%build
    #   build program
    export GOPATH=`pwd`
    cd $GOPATH/src/github.com/idursun/jjui
    go build -v -o jjui github.com/idursun/jjui/cmd/jjui

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/idursun/jjui/jjui \
        $RPM_BUILD_ROOT%{l_prefix}/bin/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

